import req from '../request';

export default {
    checkStreamClosd: (data:any) => {
        return req({
            url: '/school/check_stream_closed',
            method: 'post',
            data: data,
        });
    },

    checkCaliStreamClosd: (data:any) => {
        return req({
            url: '/school/check_cailistream_closed',
            method: 'post',
            data: data,
        });
    },

    closeExamForce: (data:any) => {
        return req({
            url: '/school/close_exam_force',
            method: 'post',
            data: data,
        });
    },

    closeLocalStream: (data:any) => {
        return req({
            url: '/exam/close_push_stream',
            method: 'post',
            data: data,
        });
    },

    getExamSnapShot: (data:any) => {
        return req({
            url: '/exam/snap_pics',
            method: 'post',
            data: data,
        });
    },

    pushLocalStream: (data:any) => {
        return req({
            url: '/exam/push_stream',
            method: 'post',
            data: data,
        });
    },

    checkPushStream: (data:any) => {
        return req({
            url: '/exam/check_push_stream',
            method: 'post',
            data: data,
        });
    },

    upExamSettings: (data:any) => {
        return req({
            url: '/school/update_gpu_exam_setting',
            method: 'post',
            data: data,
            headers: {
                "Content-Type": 'application/json'
            }
        });
    },

    getExamSettings: (data:any) => {
        return req({
            url: '/school/get_gpu_exam_setting',
            method: 'post',
            data: data,
        });
    },

    saveAnchorPt: (data:any) => {
        return req({
            url: '/exam/gpu_anchor_update',
            method: 'post',
            data: data,
            headers: {
                "Content-Type": 'application/json'
            }
        });
    },

    checkCaliRes: (data:any) => {
        return req({
            url: '/school/check_cali_result',
            method: 'post',
            data: data,
        });
    },

    closeCaliStream: (data:any) => {
        return req({
            url: '/exam/close_cali_stream',
            method: 'post',
            data: data,
        });
    },
};
